package com.caimei365.manager.entity.caimei.svip;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/11
 */
@Data
public class NewCmShop {

    /**
     * 审核人
     */
    private String checkMan;
    /**
     * shopID
     */
    private Integer shopId;
    /**
     * 对应的userId
     */
    private Integer userId;
    /**
     * 名称
     */
    private String name;
    /**
     * 供应商公司简称
     */
    private String sname;
    /**
     * 公司LOGO
     */
    private String logo;
    /**
     * 法人
     */
    private String legalPerson;
    /**
     *  businessLicense
     */
    private String businessLicense;
    /**
     * 营业执照
     */
    private String businessLicenseImage;
    /**
     * taxCertificate
     */
    private String taxCertificate;
    /**
     * 税务登记证
     */
    private String taxCertificateImage;
    /**
     * 所在县区Id
     */
    private Integer townId;
    private Integer provinceId;
    private Integer cityId;
    /**
     * 地址
     */
    private String address;
    /**
     * 注册资本
     */
    private String registeredCapital;
    /**
     * 公司性质
     */
    private String nature;
    /**
     * 年营业额
     */
    private String turnover;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 固定电话
     */
    private String contractPhone;
    /**
     * 手机号
     */
    private String contractMobile;
    private String contractEmail;
    /**
     * 传真
     */
    private String fax;
    /**
     * 邮编
     */
    private String zipCode;
    /**
     * 介绍
     */
    private String info;
    /**
     * 主打产品说明
     */
    private String productDesc;
    /**
     * 网址
     */
    private String website;
    /**
     * 微信公众号
     */
    private String wxOfficialAccount;
    /**
     * 微信小程序
     */
    private String wxApplets;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 审核状态
     */
    private String auditStatus;
    /**
     * 审核时间
     */
    private String auditTime;
    /**
     * 审核信息
     */
    private String auditNote;
    /**
     * 是否可用，1可用
     */
    private String validFlag;
    /**
     * note
     */
    private String note;
    /**
     * 供应商状态，见表c_shopstatus或枚举ShopStatus
     */
    private Integer status;
    /**
     * 经营范围
     */
    private String businessScope;
    private String firstShopType;
    private String secondShopType;
    private String medicalPracticeLicenseImg1;
    private String medicalPracticeLicenseImg2;
    private String medicalPracticeLicenseImg3;
    private String mainpro;
    /**
     * 供应商欠款金额
     */
    private Double rebateAmount;
    /**
     * 银行账号
     */
    private String bankAccount;
    /**
     * 付款账号的户名
     */
    private String bankAccountName;
    /**
     * 付款账号的开户行
     */
    private String bankName;
    /**
     * 可用余额
     */
    private Double ableRebateAmount;
    /**
     * 邮箱
     */
    private String email;
    private String maintenanceDate;
    private String maintenanceFee;
    /**
     * 荣誉证书1
     */
    private String honorCertificate1;
    /**
     * 荣誉证书2
     */
    private String honorCertificate2;
    /**
     * 荣誉证书3
     */
    private String honorCertificate3;
    /**
     * 荣誉证书4
     */
    private String honorCertificate4;
    /**
     * 荣誉证书5
     */
    private String honorCertificate5;
    /**
     * 产品证书
     */
    private String productCertificate;
    /**
     * 生产许可
     */
    private String productionLicense;
    /**
     * 卫生许可
     */
    private String sanitationPermit;
    /**
     * 税务许可
     */
    private String taxPermit;
    /**
     * 分账方,子商户商编
     */
    private List<SplitCode> splitCodes;
    /**
     * 列表页回显
     */
    private String splitCode;
    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;
    /**
     * 供应商类别 0未审核的二手供应商，普通1，新品供应商2，二手供应商3
     */
    private Integer shopType;
    /**
     * 收款卡号
     */
    private String cardNumber;
    /**
     * 线上支付手续费：默认1采美承担，2供应商承担
     */
    private Integer chargeSupport;
    /**
     * 企业用户账号
     **/
    private String account;
    /**
     * 注册时间
     */
    private Date registerTime;
    /**
     * 区
     */
    private String town;
    /**
     * 市
     */
    private String city;
    /**
     * 省
     */
    private String province;
    /**
     * 注册时间开始 查询条件
     */
    private String startTime;
    /**
     * 注册时间结束  查询条件
     */
    private String endTime;
    /**
     * 1 编辑，2 审核
     */
    private String editStatus;
    /**
     * 注册来源: 0 网站 1 小程序
     */
    private String source;
}
