package com.caimei365.manager.entity.caimei.test;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  推文阅读量
 *
 * @author : hzg
 * @date : 2023/11/22
 */
@Data
public class ArticleReadVolume {
    /**
     * 供应商Id
     */
    @ExcelProperty("供应商Id")
    private Integer shopId;
    /**
     * 发文主题
     */
    @ExcelProperty("发文主题")
    private String title;
    /**
     * 跳转链接
     */
    @ExcelProperty("跳转链接")
    private String link;
    /**
     * 类型
     */
    @ExcelProperty("类型")
    private String type;
    /**
     * 首发时间
     */
    @ExcelProperty("首发时间")
    private String startTime;
    /**
     * 文章关键词
     */
    @ExcelProperty("文章关键词")
    private String keyword;
    /**
     * 分发渠道
     */
    @ExcelProperty("分发渠道")
    private String channel;
    /**
     * 公众号阅读量
     */
    @ExcelProperty("公众号阅读量")
    private String wechatNumber;
    /**
     * 触达用户量
     */
    @ExcelProperty("触达用户量")
    private String touchNumber;

}
