package com.caimei365.manager.entity.caimei.test;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  用户身份分布
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class IdentityDistribution {
    /**
     * 供应商Id
     */
    @ExcelProperty("供应商Id")
    private String shopId;
    /**
     * 客户身份
     */
    @ExcelProperty("客户身份")
    private String userIdentity;
    /**
     * 占比
     */
    @ExcelProperty("占比")
    private String proportion;
}
