package com.caimei365.manager.entity.caimei.test;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  页面平均时长
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class PageDuration {
    /**
     * 供应商Id
     */
    @ExcelProperty("供应商Id")
    private String shopId;
    /**
     * 页面类型
     */
    @ExcelProperty("页面类型")
    private String pageLabel;
    /**
     * 平均停留时间
     */
    @ExcelProperty("平均停留时间")
    private String accessDuration;
}
