package com.caimei365.manager.entity.caimei.test;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  阅读量
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class ReadVolume {

    /**
     * 供应商Id
     */
    @ExcelProperty("供应商Id")
    private String shopId;
    /**
     * 日期
     */
    @ExcelProperty("日期")
    private String dateTime;
    /**
     * 信息中心
     */
    @ExcelProperty("信息中心")
    private String informationCenter;
    /**
     * 公众号
     */
    @ExcelProperty("公众号")
    private String accNumber;
    /**
     * 微博
     */
    @ExcelProperty("微博")
    private String generalNumber;
    /**
     * 小红书
     */
    @ExcelProperty("小红书")
    private String redBookNumber;
    /**
     * 其它自媒体渠道
     */
    @ExcelProperty("其它自媒体渠道")
    private String other;
}
