package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.entity.caimei.test.Impressions;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/23
 */
public class ImpressionsListener extends AnalysisEventListener<Impressions> {

    private final Integer SIZE = 100;

    private final List<Impressions> dataList = new ArrayList();

    /**
     * 解析数据
     * @param data
     * @param analysisContext
     */
    @Override
    public void invoke(Impressions data, AnalysisContext analysisContext) {
        dataList.add(data);
        /*if (dataList.size() >= SIZE) {
            saveData();
        }*/
    }

    /**
     * 解析数据后调用
     * @param analysisContext
     */
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------展现量----------");
        System.out.println("dataList====="+dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData() {

    }
}
