package com.caimei365.manager;

import com.alibaba.excel.EasyExcel;
import com.caimei365.manager.entity.caimei.test.*;
import com.caimei365.manager.service.caimei.listener.*;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class ManagerApplicationTests {

    @Test
    void contextLoads() {
        String fileName = "E:\\Users\\Desktop\\采美\\shop-xlsx\\test.xlsx";

        EasyExcel.read(fileName, ArticleReadVolume.class, new ArticleReadVolumeListener()).sheet("推文阅读量").doRead();
        EasyExcel.read(fileName, Impressions.class, new ImpressionsListener()).sheet("展现量").doRead();
        EasyExcel.read(fileName, ReadVolume.class, new ReadVolumeListener()).sheet("阅读量").doRead();
        EasyExcel.read(fileName, Keyword.class, new ShopkeywordListener()).sheet("关键词").doRead();
        EasyExcel.read(fileName, Visits.class, new VisitsLisener()).sheet("访问量").doRead();
        EasyExcel.read(fileName, Proportion.class, new ProportionListener()).sheet("用户来源渠道占比").doRead();
        EasyExcel.read(fileName, PageDuration.class, new PageDurationListener()).sheet("页面平均时长").doRead();
        EasyExcel.read(fileName, MallHits.class, new MallHitsListener()).sheet("全商城点击量").doRead();
        EasyExcel.read(fileName, Remark.class, new RemarkListener()).sheet("咨询数量").doRead();
        EasyExcel.read(fileName, TypeDistribution.class, new TypeDistributionListener()).sheet("用户类型分布").doRead();
        EasyExcel.read(fileName, IdentityDistribution.class, new IdentityDistributionListener()).sheet("用户身份分布").doRead();
        EasyExcel.read(fileName, IntentionalDistribution.class, new IntentionalDistributionListener()).sheet("用户意向分布").doRead();
    }

}
