package com.caimei365.manager.entity.caimei.test;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  用户意向分布
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class IntentionalDistribution {
    /**
     * 供应商Id
     */
    @ExcelProperty("供应商Id")
    private String shopId;
    /**
     * 咨询客户意向度
     */
    @ExcelProperty("咨询客户意向度")
    private String intention;
    /**
     * 占比
     */
    @ExcelProperty("占比")
    private String proportion;
}
