package com.caimei365.manager.entity.caimei.test;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  全商城点击量
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class MallHits {

    /**
     * 供应商Id
      */
    @ExcelProperty("供应商Id")
    private String shopId;
    /**
     * 广告位置
     */
    @ExcelProperty("广告位置")
    private String position;
    /**
     * 图片地址
     */
    @ExcelProperty("图片地址")
    private String imageLink;
    /**
     * 点击量
     */
    @ExcelProperty("点击量")
    private String hits;
}
