package com.caimei365.manager.entity.caimei.test;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  用户来源渠道占比
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class Proportion {
    /**
     * 供应商Id
      */
    @ExcelProperty("供应商Id")
    private String shopId;
    /**
     * 日期
     */
    @ExcelProperty("日期")
    private String dateTime;
    /**
     * 采美商城
     */
    @ExcelProperty("采美商城")
    private String mall;
    /**
     * 微信公众号
     */
    @ExcelProperty("微信公众号")
    private String general;
    /**
     * 小红书
     */
    @ExcelProperty("小红书")
    private String redBook;
}
