package com.caimei365.manager.entity.caimei.test;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  用户类型分布
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class TypeDistribution {
    /**
     * 供应商Id
     */
    @ExcelProperty("供应商Id")
    private String shopId;
    /**
     * 机构类型
     */
    @ExcelProperty("机构类型")
    private String clubType;
    /**
     * 占比
     */
    @ExcelProperty("占比")
    private String proportion;
}
