package com.caimei365.manager.service.caimei.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.caimei365.manager.entity.caimei.test.PageDuration;

import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : hzg
 * @date : 2023/11/23
 */
public class PageDurationListener extends AnalysisEventListener<PageDuration> {

    private final Integer SIZE = 100;

    private final List<PageDuration> dataList = new ArrayList();

    @Override
    public void invoke(PageDuration data, AnalysisContext analysisContext) {
        dataList.add(data);
        /*if (dataList.size() >= SIZE) {
            saveData();
        }*/
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        System.out.println("-----------页面平均时长----------");
        System.out.println("dataList======="+dataList);
    }

    @Override
    public boolean hasNext(AnalysisContext analysisContext) {
        return true;
    }

    /**
     * 保存数据
     */
    public void saveData() {

    }
}
